Debian Bug report logs - #695508
udd: bugs.cgi - bugs filed against multiple packages is not associated with a source

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Niels Thykier <niels@thykier.net>

Date: Sun, 9 Dec 2012 12:27:01 UTC

Severity: normal

Done: Lucas Nussbaum <lucas@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#695508; Package qa.debian.org. (Sun, 09 Dec 2012 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
New Bug report received and forwarded. Copy sent to debian-qa@lists.debian.org. (Sun, 09 Dec 2012 12:27:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Sun, 09 Dec 2012 13:22:39 +0100
Package: qa.debian.org
Severity: normal
User: qa.debian.org@packages.debian.org
Usertags: udd

The bug #694368 is filed against libfuzzy2, libfuzzy-dev (src:
ssdeep).  At least in the view [1], this means that the "package"
column gets the PTS link wrong.  It links to p.qa.d.o/libfuzzy2 and
p.qa.d.o/libfuzzy-dev (respectively), but it should have linked to
p.qa.d.o/ssdeep in both cases.  This is not a huge problem as the
PTS fixes this with a redirect, but ...

I suspect also causes bugs.cgi not discovering the unblock hint for
ssdeep.  On a related note; as ssdeep is unblocked the package will
problably migrate in a week (causing the example disappear from the
view).  Let me know if I should find more information before then.

~Niels

[1] http://udd.debian.org/bugs.cgi?release=wheezy_not_sid&merged=ign&fnewerval=7&rc=1&sortby=id&sorto=asc&chints=1&ctags=1&cdeferred=1&crttags=1



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#695508; Package qa.debian.org. (Sun, 09 Dec 2012 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sun, 09 Dec 2012 23:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 695508@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Niels Thykier <niels@thykier.net>
Cc: 695508@bugs.debian.org
Subject: Re: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Mon, 10 Dec 2012 00:20:32 +0100
Hi Niels,

On Sun, Dec 09, 2012 at 01:22:39PM +0100, Niels Thykier wrote:
> The bug #694368 is filed against libfuzzy2, libfuzzy-dev (src:
> ssdeep).  At least in the view [1], this means that the "package"
> column gets the PTS link wrong.  It links to p.qa.d.o/libfuzzy2 and
> p.qa.d.o/libfuzzy-dev (respectively), but it should have linked to
> p.qa.d.o/ssdeep in both cases.  This is not a huge problem as the
> PTS fixes this with a redirect, but ...
> 
> I suspect also causes bugs.cgi not discovering the unblock hint for
> ssdeep.  On a related note; as ssdeep is unblocked the package will
> problably migrate in a week (causing the example disappear from the
> view).  Let me know if I should find more information before then.

This bug isn't caused by the cgi, but by the import script. In
bugs_gatherer.pl (l 218):

my $srcpkg;
if ($bug{package} =~ /^src:(.*)/)
{
	$srcpkg = $1;
} else {
	$srcpkg = exists($pkgsrc{$bug{package}}) ? $pkgsrc{$bug{package}} : $bug{package};
}

For the bug mentioned, the package is "libfuzzy2,libfuzzy-dev". There is no
corresponding source package, so in the database the source package also is
"libfuzzy2,libfuzzy-dev". The package should be split in parts and those parts
should be converted to source packages.

I could try to create a patch, but I don't know where to get the data to do
the test, so I'll leave that to someone else.

If the import is fixed, the cgi probably still won't do the right thing if the
bug is filed against different source packages (or binary packages in
different source packages). I don't know if there are examples like that.

Cheers,

Ivo




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#695508; Package qa.debian.org. (Sat, 29 Dec 2012 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 29 Dec 2012 12:45:06 GMT) Full text and rfc822 format available.

Message #15 received at 695508@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Ivo De Decker <ivo.dedecker@ugent.be>, 695508@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>
Subject: Re: Bug#695508: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Sat, 29 Dec 2012 12:05:38 +0100
On 10/12/12 at 00:20 +0100, Ivo De Decker wrote:
> Hi Niels,
> 
> On Sun, Dec 09, 2012 at 01:22:39PM +0100, Niels Thykier wrote:
> > The bug #694368 is filed against libfuzzy2, libfuzzy-dev (src:
> > ssdeep).  At least in the view [1], this means that the "package"
> > column gets the PTS link wrong.  It links to p.qa.d.o/libfuzzy2 and
> > p.qa.d.o/libfuzzy-dev (respectively), but it should have linked to
> > p.qa.d.o/ssdeep in both cases.  This is not a huge problem as the
> > PTS fixes this with a redirect, but ...
> > 
> > I suspect also causes bugs.cgi not discovering the unblock hint for
> > ssdeep.  On a related note; as ssdeep is unblocked the package will
> > problably migrate in a week (causing the example disappear from the
> > view).  Let me know if I should find more information before then.
> 
> This bug isn't caused by the cgi, but by the import script. In
> bugs_gatherer.pl (l 218):
> 
> my $srcpkg;
> if ($bug{package} =~ /^src:(.*)/)
> {
> 	$srcpkg = $1;
> } else {
> 	$srcpkg = exists($pkgsrc{$bug{package}}) ? $pkgsrc{$bug{package}} : $bug{package};
> }
> 
> For the bug mentioned, the package is "libfuzzy2,libfuzzy-dev". There is no
> corresponding source package, so in the database the source package also is
> "libfuzzy2,libfuzzy-dev". The package should be split in parts and those parts
> should be converted to source packages.
> 
> I could try to create a patch, but I don't know where to get the data to do
> the test, so I'll leave that to someone else.

Hi,

If you could write a basic patch, I could try to test it myself.

Alternatively, you could get the BTS data using rsync:
$ rsync bugs-mirror.debian.org::
bts-spool-db   	[bugs-mirror.debian.org] active bug spool
bts-spool-archive	[bugs-mirror.debian.org] archived bug spool
bts-spool-index	[bugs-mirror.debian.org] bug index files
bts-versions   	[bugs-mirror.debian.org] bts package version information
But I'm not sure it's worth the trouble.

> If the import is fixed, the cgi probably still won't do the right thing if the
> bug is filed against different source packages (or binary packages in
> different source packages). I don't know if there are examples like that.

There are, unfortunately.

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#695508; Package qa.debian.org. (Sat, 05 Jan 2013 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 05 Jan 2013 22:57:05 GMT) Full text and rfc822 format available.

Message #20 received at 695508@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Ivo De Decker <ivo.dedecker@ugent.be>, 695508@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#695508: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Sat, 5 Jan 2013 23:53:28 +0100
[Message part 1 (text/plain, inline)]
Hi Lucas,

On Sat, Dec 29, 2012 at 12:05:38PM +0100, Lucas Nussbaum wrote:
> > I could try to create a patch, but I don't know where to get the data to do
> > the test, so I'll leave that to someone else.

> If you could write a basic patch, I could try to test it myself.
> 
> Alternatively, you could get the BTS data using rsync:
> $ rsync bugs-mirror.debian.org::
> bts-spool-db   	[bugs-mirror.debian.org] active bug spool
> bts-spool-archive	[bugs-mirror.debian.org] archived bug spool
> bts-spool-index	[bugs-mirror.debian.org] bug index files
> bts-versions   	[bugs-mirror.debian.org] bts package version information
> But I'm not sure it's worth the trouble.

To run the bugs import, a number of files from /srv/bugs.debian.org/etc are
also needed. I don't know if they are available somewhere.

Most of the necessary files can be empty or generated from other data, so I
was able to do some basic testing, and I created a patch (attached) that
should fix the import part of this bug.

Cheers,

Ivo

[bugs_lookup_source.diff (text/x-diff, attachment)]

Reply sent to Lucas Nussbaum <lucas@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 16:00:13 GMT) Full text and rfc822 format available.

Notification sent to Niels Thykier <niels@thykier.net>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 16:00:13 GMT) Full text and rfc822 format available.

Message #25 received at 695508-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Ivo De Decker <ivo.dedecker@ugent.be>
Cc: 695508-done@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#695508: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Tue, 29 Jan 2013 16:56:03 +0100
On 05/01/13 at 23:53 +0100, Ivo De Decker wrote:
> Hi Lucas,
> 
> On Sat, Dec 29, 2012 at 12:05:38PM +0100, Lucas Nussbaum wrote:
> > > I could try to create a patch, but I don't know where to get the data to do
> > > the test, so I'll leave that to someone else.
> 
> > If you could write a basic patch, I could try to test it myself.
> > 
> > Alternatively, you could get the BTS data using rsync:
> > $ rsync bugs-mirror.debian.org::
> > bts-spool-db   	[bugs-mirror.debian.org] active bug spool
> > bts-spool-archive	[bugs-mirror.debian.org] archived bug spool
> > bts-spool-index	[bugs-mirror.debian.org] bug index files
> > bts-versions   	[bugs-mirror.debian.org] bts package version information
> > But I'm not sure it's worth the trouble.
> 
> To run the bugs import, a number of files from /srv/bugs.debian.org/etc are
> also needed. I don't know if they are available somewhere.
> 
> Most of the necessary files can be empty or generated from other data, so I
> was able to do some basic testing, and I created a patch (attached) that
> should fix the import part of this bug.

Hi,

I've just applied your patch. Thanks!

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#695508; Package qa.debian.org. (Tue, 29 Jan 2013 21:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 29 Jan 2013 21:51:06 GMT) Full text and rfc822 format available.

Message #30 received at 695508@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Lucas Nussbaum <lucas@debian.org>
Cc: Ivo De Decker <ivo.dedecker@ugent.be>, 695508@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#695508: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Tue, 29 Jan 2013 22:49:26 +0100
Hi Lucas,

On Tue, Jan 29, 2013 at 04:56:03PM +0100, Lucas Nussbaum wrote:
> I've just applied your patch. Thanks!

OK. Thanks.

The links to the PTS in the cgi also need to be changed. I commit a fix for
this. If someone can do a pull on the udd server, this bug can really be
closed.

Cheers,

Ivo




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#695508; Package qa.debian.org. (Tue, 29 Jan 2013 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 29 Jan 2013 22:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 695508@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Ivo De Decker <ivo.dedecker@ugent.be>
Cc: 695508@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#695508: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Tue, 29 Jan 2013 23:23:55 +0100
On 29/01/13 at 22:49 +0100, Ivo De Decker wrote:
> Hi Lucas,
> 
> On Tue, Jan 29, 2013 at 04:56:03PM +0100, Lucas Nussbaum wrote:
> > I've just applied your patch. Thanks!
> 
> OK. Thanks.
> 
> The links to the PTS in the cgi also need to be changed. I commit a fix for
> this. If someone can do a pull on the udd server, this bug can really be
> closed.

Done, thanks!

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#695508; Package qa.debian.org. (Tue, 29 Jan 2013 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 29 Jan 2013 23:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 695508@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: Ivo De Decker <ivo.dedecker@ugent.be>, 695508@bugs.debian.org, Niels Thykier <niels@thykier.net>
Subject: Re: Bug#695508: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Tue, 29 Jan 2013 23:57:49 +0100
Hi,

On Tue, Jan 29, 2013 at 11:23:55PM +0100, Lucas Nussbaum wrote:
> On 29/01/13 at 22:49 +0100, Ivo De Decker wrote:
> > Hi Lucas,
> > 
> > On Tue, Jan 29, 2013 at 04:56:03PM +0100, Lucas Nussbaum wrote:
> > > I've just applied your patch. Thanks!
> > 
> > OK. Thanks.
> > 
> > The links to the PTS in the cgi also need to be changed. I commit a fix for
> > this. If someone can do a pull on the udd server, this bug can really be
> > closed.
> 
> Done, thanks!

Unfortunately, the change seems to break bugs.cgi. It works fine on my test
system (sid), but it doesn't work on udd.debian.org. I committed a revert, so
if someone does a new pull, the cgi should at least work again.

Cheers,

Ivo




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#695508; Package qa.debian.org. (Tue, 29 Jan 2013 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Tue, 29 Jan 2013 23:15:03 GMT) Full text and rfc822 format available.

Message #45 received at 695508@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Ivo De Decker <ivo.dedecker@ugent.be>, 695508@bugs.debian.org
Cc: Niels Thykier <niels@thykier.net>
Subject: Re: Bug#695508: udd: bugs.cgi - bugs filed against multiple packages is not associated with a source
Date: Wed, 30 Jan 2013 00:08:37 +0100
On 29/01/13 at 23:57 +0100, Ivo De Decker wrote:
> Hi,
> 
> On Tue, Jan 29, 2013 at 11:23:55PM +0100, Lucas Nussbaum wrote:
> > On 29/01/13 at 22:49 +0100, Ivo De Decker wrote:
> > > Hi Lucas,
> > > 
> > > On Tue, Jan 29, 2013 at 04:56:03PM +0100, Lucas Nussbaum wrote:
> > > > I've just applied your patch. Thanks!
> > > 
> > > OK. Thanks.
> > > 
> > > The links to the PTS in the cgi also need to be changed. I commit a fix for
> > > this. If someone can do a pull on the udd server, this bug can really be
> > > closed.
> > 
> > Done, thanks!
> 
> Unfortunately, the change seems to break bugs.cgi. It works fine on my test
> system (sid), but it doesn't work on udd.debian.org. I committed a revert, so
> if someone does a new pull, the cgi should at least work again.

done ;)

Lucas



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Feb 2013 07:25:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:43:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.